#ifndef PROGRAM_SETTING_H
#define PROGRAM_SETTING_H

#include <TQObject.h>
#include <RQ_OBJECT.h>
#include <TGNumberEntry.h>
#include <TGButton.h>
#include <TGComboBox.h>
#include <TThread.h>
#include <TGLabel.h>
#include <TGTextEdit.h>
#include "ClassDigitizer.h"
#include "macro.h"

class TGWindow;
class TGMainFrame;

class ProgramSetting{
  RQ_OBJECT("ProgramSetting")
  private:
    TGMainFrame * fMain;
    
    TGTextEntry * txtIP;
    TGTextEntry * txtDBName;
    TGTextEntry * txtDataPath;

  public:
    ProgramSetting(const TGWindow *p);
    virtual ~ProgramSetting();
    
    void CloseWindow() { delete this;}

    static std::string IP;
    static std::string databaseName;
    static std::string DataSavingPath;

    void SetDataBase();
    void SetDataPath();
};

#endif
